Bug 867240 - RFE: don't file xserver backtraces when fglrx is loaded
RFE: don't file xserver backtraces when fglrx is loaded
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
x86_64 Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
abrt_hash:84ebdad153d9b01c94547c331bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 02:21 EDT by Tomas Dolezal
Modified: 2013-02-25 21:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:16:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-10-17 02:21 EDT, Tomas Dolezal
no flags Details
File: xorg.conf (1.17 KB, text/plain)
2012-10-17 02:21 EDT, Tomas Dolezal
no flags Details
File: Xorg.0.log (57.66 KB, text/plain)
2012-10-17 02:21 EDT, Tomas Dolezal
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (564 bytes, text/plain)
2012-10-17 02:21 EDT, Tomas Dolezal
no flags Details

  None (edit)
Description Tomas Dolezal 2012-10-17 02:21:38 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
kernel:         3.6.1-1.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652d6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514db]
:2: /usr/bin/Xorg (0x400000+0x47f32) [0x447f32]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f2a3a7db000+0x60e4) [0x7f2a3a7e10e4]
:4: /usr/bin/Xorg (0x400000+0x807b7) [0x4807b7]
:5: /usr/bin/Xorg (0x400000+0xa4ab0) [0x4a4ab0]
:6: /lib64/libpthread.so.0 (0x3d6ec00000+0xefe0) [0x3d6ec0efe0]
:7: /usr/lib64/xorg/modules/libfb.so (fbSolid+0x13a) [0x7f2a41b5a5ca]
:8: /usr/lib64/xorg/modules/libfb.so (fbFill+0x32e) [0x7f2a41b528ce]
:9: /usr/lib64/xorg/modules/libfb.so (fbPolyFillRect+0x1b0) [0x7f2a41b53000]
:10: /usr/lib64/xorg/modules/glesx.so (0x7f2a3e79b000+0x87dde) [0x7f2a3e822dde]
:11: /usr/lib64/xorg/modules/glesx.so (0x7f2a3e79b000+0x82927) [0x7f2a3e81d927]
:12: /usr/bin/Xorg (0x400000+0x10366d) [0x50366d]
:13: /usr/bin/Xorg (0x400000+0x30dcd) [0x430dcd]
:14: /usr/bin/Xorg (0x400000+0x3447a) [0x43447a]
:15: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:16: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3d6e421735]
:17: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 Tomas Dolezal 2012-10-17 02:21:41 EDT
Created attachment 628543 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Tomas Dolezal 2012-10-17 02:21:43 EDT
Created attachment 628544 [details]
File: xorg.conf
Comment 3 Tomas Dolezal 2012-10-17 02:21:45 EDT
Created attachment 628545 [details]
File: Xorg.0.log
Comment 4 Tomas Dolezal 2012-10-17 02:21:47 EDT
Created attachment 628546 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 5 Adam Jackson 2012-10-18 17:28:47 EDT
fglrx loaded, notourbug.

Can abrt please not file reports when fglrx is loaded?
Comment 6 Jiri Moskovcak 2012-10-19 04:29:19 EDT
Related to rhbz#856790

- should be enough to just refuse reporting Xorg crashes when the kernel is tainted
Comment 7 Jakub Filak 2012-12-08 11:05:57 EST
fixed in git

commit 6dbe06e7ffc7d7a8f9134da93b9e764b3a13f4df
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Fri Nov 23 18:25:48 2012 +0100

    Improve xorg post-create. closes trac#838
Comment 8 Fedora Update System 2012-12-20 03:55:15 EST
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
Comment 9 Fedora Update System 2012-12-20 04:45:36 EST
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17
Comment 10 Fedora Update System 2012-12-20 20:29:47 EST
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-01-11 20:16:20 EST
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-02-25 21:38:25 EST
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.